Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/include/diplodlg_g.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions | Variables
diplodlg_g.h File Reference
`#include "shared.h"`
`#include "diptreaty.h"`
`#include "gui_proto_constructor.h"`

Go to the source code of this file.

## Functions

| GUI_FUNC_PROTO (void, gui_init_meeting, struct Treaty *ptreaty, struct player *they, struct player *initiator) GUI_FUNC_PROTO(void
struct Treaty struct player struct player *initiator | GUI_FUNC_PROTO (void, gui_prepare_clause_updt, struct Treaty *ptreaty, struct player *they) GUI_FUNC_PROTO(void
struct Treaty struct player struct player *initiator struct Treaty struct player *they | GUI_FUNC_PROTO (void, gui_recv_remove_clause, struct Treaty *ptreaty, struct player *they) GUI_FUNC_PROTO(void

## Variables

| gui_recv_cancel_meeting
struct Treaty * | ptreaty
struct Treaty struct player * | they
struct Treaty struct player struct player *initiator | gui_recv_create_clause
struct Treaty struct player struct player *initiator struct Treaty struct player *they | gui_recv_accept_treaty

## Function Documentation

## ◆ GUI_FUNC_PROTO() [1/3]

GUI_FUNC_PROTO | ( | void | ,
|  | gui_init_meeting | ,
|  | struct Treaty * | ptreaty,
|  | struct player * | they,
|  | struct player * | initiator
| ) |  |

## ◆ GUI_FUNC_PROTO() [2/3]

struct Treaty struct player struct player *initiator GUI_FUNC_PROTO | ( | void | ,
|  | gui_prepare_clause_updt | ,
|  | struct Treaty * | ptreaty,
|  | struct player * | they
| ) |  |

## ◆ GUI_FUNC_PROTO() [3/3]

struct Treaty struct player struct player *initiator struct Treaty struct player *they GUI_FUNC_PROTO | ( | void | ,
|  | gui_recv_remove_clause | ,
|  | struct Treaty * | ptreaty,
|  | struct player * | they
| ) |  |

## Variable Documentation

## ◆ gui_recv_accept_treaty

struct Treaty struct player struct player *initiator struct Treaty struct player *they gui_recv_accept_treaty

Definition at line 36 of file diplodlg_g.h.

Referenced by client_recv_accept_treaty().

## ◆ gui_recv_cancel_meeting

gui_recv_cancel_meeting

Definition at line 27 of file diplodlg_g.h.

Referenced by client_recv_cancel_meeting().

## ◆ gui_recv_create_clause

struct Treaty struct player struct player *initiator gui_recv_create_clause

Definition at line 32 of file diplodlg_g.h.

Referenced by client_recv_create_clause().

## ◆ ptreaty

struct Treaty struct player struct player *initiator struct Treaty struct player *they struct Treaty * ptreaty

Definition at line 28 of file diplodlg_g.h.

Referenced by add_clause(), diplo_dlg::add_widget(), cai_treaty_accepted(), cai_treaty_evaluate(), call_treaty_accepted(), call_treaty_evaluate(), clear_treaty(), client_init_meeting(), client_recv_accept_treaty(), client_recv_cancel_meeting(), client_recv_create_clause(), client_recv_remove_clause(), create_diplomacy_dialog(), dai_treaty_accepted(), dai_treaty_evaluate(), diplo_dlg::diplo_dlg(), diplo_wdg::diplo_wdg(), find_treaty(), gui_init_meeting(), gui_prepare_clause_updt(), gui_recv_accept_treaty(), gui_recv_cancel_meeting(), gui_recv_create_clause(), gui_recv_remove_clause(), handle_diplomacy_accept_treaty_req(), handle_diplomacy_create_clause_req(), handle_diplomacy_init_meeting_req(), handle_diplomacy_remove_clause_req(), init_treaty(), popup_diplomacy_dialog(), qtg_init_meeting(), qtg_recv_accept_treaty(), qtg_recv_create_clause(), qtg_recv_remove_clause(), really_diplomacy_cancel_meeting(), remove_clause(), send_diplomatic_meetings(), sg_load_treaties(), sg_load_treaties(), texwai_treaty_accepted(), texwai_treaty_evaluate(), treaty_add(), and treaty_remove().

## ◆ they

struct Treaty struct player* they

Definition at line 28 of file diplodlg_g.h.

Referenced by diplo_dlg::add_widget(), client_init_meeting(), client_recv_accept_treaty(), client_recv_cancel_meeting(), client_recv_create_clause(), client_recv_remove_clause(), diplo_dlg::close_widget(), diplo_dlg::diplo_dlg(), diplo_wdg::diplo_wdg(), find_diplomacy_dialog(), diplo_dlg::find_widget(), get_diplomacy_dialog(), gui_init_meeting(), gui_prepare_clause_updt(), gui_recv_accept_treaty(), gui_recv_cancel_meeting(), gui_recv_create_clause(), gui_recv_remove_clause(), popup_diplomacy_dialog(), qtg_init_meeting(), qtg_recv_accept_treaty(), qtg_recv_cancel_meeting(), qtg_recv_create_clause(), qtg_recv_remove_clause(), and remove_clause_widget_from_list().